package com.thinker.main.util;

import org.apache.log4j.Logger;

import java.io.*;
import java.util.Properties;

/**
 * Created by lzh on 16-6-13.
 * 用于加载配置文件
 */
public class BaseProperty {
    private static Properties prop;
    private static InputStream in;
    private static Logger log = Logger.getLogger(BaseProperty.class);
    static {
        prop = new Properties();
//        log.info("加载配置文件");
        try {
            in = new BufferedInputStream(new FileInputStream(
                    BaseProperty.class.getResource("/").getPath()+"/mybatis.properties"));
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
//        in = BaseProperty.class.getResourceAsStream("/mybatis.properties");
        System.out.println(BaseProperty.class.getResource("/").getPath()+"/mybatis.properties");
        try {
            prop.load(in);
        } catch (IOException e) {
            e.printStackTrace();
        }finally {
            try {
                in.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }
    public static String getValue(String name){
        return prop.getProperty(name);
    }
    public static void main(String[] args) {
        System.out.println(BaseProperty.getValue("mapper"));
    }
}
